import{ scaleOrdinal } from 'd3';  

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#bc658d', '#f9d89c']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([50, 35]);

const xPosition = (d , i) => i * 120 + 60

export const fruitBowl = (selection, { fruits, height }) => {
  const circles = selection.selectAll('circle ').data(fruits, d => d.id);
// enter portion of d3 - used in static graphics to add elements to the page 
  circles
    .enter().append('circle')
  		.attr('cx', xPosition)
      .attr('cy', height / 2)
  		.attr('r', 0)
  	.merge(circles)
  		.attr('fill', d => colorScale(d.type ))
  	.transition().duration(1000)
  		.attr('cx', xPosition)
  		.attr('r', d => radiusScale(d.type));

  //this is actually update portion of d3	used for dynamic updating - takes as arguments the attributes of the data that is changing. Since it is duplicate of above code it can be swapped out for the simpler merge function
 
  /*circles
  	.attr('r', d => radiusScale(d.type))
  	.attr('fill', d => colorScale(d.type ));*/

  //this is the exit portion of d3, used to remove elements from the page	  
  circles.exit()
    .transition().duration(1000)
  		.attr('r',0)
    .remove('circle');
}