import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const makeFruit  = type => ({ 
  type,
	id: Math.random()
});

let fruits = range(5)
	.map(() => makeFruit('apple'));

const render = () => {
	fruitBowl(svg, { 
    fruits, 
    height
  })
};

render();

// .pop removes the last element in an array
setTimeout(() => {
  fruits.pop();
  render()
}, 3000);

// sets the type of fruits[2] to lemon and since it is referenced in the update code it updates
setTimeout(() => {
  fruits[2].type = 'lemon';
  render()
}, 4000);

setTimeout(() => {
  fruits = fruits.filter((d , i) => i != 1);
  render()
}, 5000);


